Bug 851147 - if pkgenpack fails with broken dependency yumBackend.py process left in cycle
if pkgenpack fails with broken dependency yumBackend.py process left in cycle
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: PackageKit (Show other bugs)
7.0
All Linux
unspecified Severity medium
: beta
: 7.0
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 07:09 EDT by Vladimir Benes
Modified: 2012-11-29 06:36 EST (History)
0 users

See Also:
Fixed In Version: PackageKit-0.8.6-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-29 06:36:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-08-23 07:09:22 EDT
Description of problem:
I have update repos from alpha-2 to alpha-3 but there are a lot of deps broken now.. after I run pkgenpack -u setup I got error like this:
Failed to create '/root/updates-2012-08-23-.servicepack': the (libffi.so.5()(64bit)) requirement could not be resolved

but then yum helper is still running so no other processes can correctly install anything. 

Version-Release number of selected component (if applicable):
PackageKit-0.7.4-5.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.grab some system that is older than the newest one 
2.give the old system new repositories 
3.execute pkgenpack -u kernel 
  
Actual results:
yumBackend.py keep running

Expected results:
yumbackend should be stopped again

Additional info:
Comment 1 Richard Hughes 2012-11-05 06:37:13 EST
Can you reproduce this with an up-to-date PackageKit? If so, what's the output of pkmon when this happens? Thanks.

Note You need to log in before you can comment on or make changes to this bug.